﻿@model Tuple<List<PortalTileParamView>, List<System.Web.UI.WebControls.ListItem>>

@for (int i = 0; i < Model.Item1.Count; i++)
{
    string mParamFixedLabel = "ParamFixedLabel" + Model.Item1[i].Id;
    <label class="col-md-1 control-label">@Charts.Parameter</label>
    <div class="col-md-3">
        @Html.Hidden("IsNew" + Model.Item1[i].Id, Model.Item1[i].IsNew, new { @class = "form-control", @Id = "IsNew" + Model.Item1[i].Id, @disabled = "disabled" })
        @Html.TextBox("ParamName" + Model.Item1[i].Id, Model.Item1[i].ParamName, new { @class = "form-control", @Id = "ParamName" + Model.Item1[i].Id, @disabled="disabled" })
    </div>
    <label class="col-md-1 control-label">@Charts.Value</label>
    <div class="col-md-3">
        @Html.DropDownList("ParamValue" + Model.Item1[i].Id, new SelectList(
                                Model.Item2,
                                "Value",
                                "Text", Model.Item1[i].ParamValue), new { @Id = "ParamValue" + Model.Item1[i].Id, @class = "form-control", @onchange = "ParamValueTileChange(" + Model.Item1[i].Id + ")" })
    </div>
    <label id="@mParamFixedLabel" class="col-md-1 control-label" style="@(string.IsNullOrEmpty(Model.Item1[i].ParamFixedValue) ? "display: none" : "")">@Charts.FixedValue</label>
    <div class="col-md-3">
        @Html.TextBox("ParamFixedValue" + Model.Item1[i].Id, Model.Item1[i].ParamFixedValue, new { @class = "form-control", @Id = "ParamFixedValue" + Model.Item1[i].Id, @style = (Model.Item1[i].ParamValue == "FixedValue" ? "display: unset" : "display: none") })
    </div>
    <div class="clear_simple"></div>
}